#
# a make file to compile java source code on nersc genepool
#


# need java 8 to compile 
JAVAC=/usr/common/usg/languages/java/jdk/oracle/1.8.0_31_x86_64/bin/javac

# the needed mpi library
MPI=lib/mpi.jar

all:
	find . -type f | grep ".java" | awk '{ print "$(JAVAC) -Xlint:unchecked -cp lib/mpi.jar:. "$$1 }' | sh


clean:
	find . -type f | grep ".class" | awk '{print "rm -rf " $$1}' | sh
